local  ControlSelect = Game:addState("ControlSelect")

function ControlSelect:enterState()
	-- Sets up list of Control Options
	Game.controlOptions = {}

	if Game.totalJoysticks>0 then
		Joystick = {}
		for n=0, Game.totalJoysticks-1 do
			Joystick[n] = Controller:new(n)
			Game.controlOptions[#Game.controlOptions+1] = Joystick[n].name .. n
		end
	end
	Game.controlOptions[#Game.controlOptions+1] = "WASD"
	Game.controlOptions[#Game.controlOptions+1] = "Arrow Keys"
	Game.controlOptions[#Game.controlOptions+1] = "NumPad"
	Game.controlOptions[#Game.controlOptions+1] = "Inactive"
	-- Sets up player selection
	Game.playerChoice = {}
	for n=1,4 do
		-- sets up default settings for each input select
		Game.playerChoice[n] = {}
		Game.playerChoice[n].choice = 1
		Game.playerChoice[n].selected = false
		-- sets the text location for each player input select
		if n%2 == 0 then
			Game.playerChoice[n].x = Game.width/2+12
		else
			Game.playerChoice[n].x = 12
		end
		if n >2 then
			Game.playerChoice[n].y = Game.height/2+16
		else
			Game.playerChoice[n].y = 16
		end
	end
end

function ControlSelect:update()
end

function ControlSelect:draw()
	love.graphics.draw(controlSelectGraphic,0,0,0,(Game.width/2048),(Game.height/1536))
	for n=1,4 do
		if Game.playerChoice[n].selected == false then
			for m=1, #Game.controlOptions do
				if Game.playerChoice[n].choice == m then 
					love.graphics.setColor(255,255,255)
				else
					love.graphics.setColor(128,128,128)
				end
				love.graphics.print(Game.controlOptions[m],Game.playerChoice[n].x,Game.playerChoice[n].y+(m*48)-48)
			end
		else
			love.graphics.printf(Game.playerChoice[n].control,Game.playerChoice[n].x,Game.playerChoice[n].y+Game.height/4,Game.width/2,"center")
		end
	end
	love.graphics.setColor(255,255,255)
end

function ControlSelect:keypressed(key)
	if key == "escape" then
		Game:gotoState('Menu')
	end
	for n=1,4 do
		if Game.playerChoice[n].selected == false then
			if key == "down" then
			Game.playerChoice[n].choice = Game.playerChoice[n].choice +1
				if Game.playerChoice[n].choice > #Game.controlOptions then
					Game.playerChoice[n].choice = 1
				end
			end
			if key == "up" then
				Game.playerChoice[n].choice = Game.playerChoice[n].choice -1
				if Game.playerChoice[n].choice < 1 then
					Game.playerChoice[n].choice = #Game.controlOptions
				end
			end
			-- Player control accept
			if key == "return" then
				Game.playerChoice[n].selected = true
				Game.playerChoice[n].control = Game.controlOptions[Game.playerChoice[n].choice]
				if Game.controlOptions[Game.playerChoice[n].choice] ~= "Inactive" then
					if Game.controlOptions[Game.playerChoice[n].choice] == "Arrow Keys" then
						Shiftup(Game.controlOptions,Game.playerChoice[n].choice)
						Shiftup(Game.controlOptions,Game.playerChoice[n].choice)
					elseif Game.controlOptions[Game.playerChoice[n].choice] == "NumPad"  then
						Shiftup(Game.controlOptions,Game.playerChoice[n].choice)
						Shiftup(Game.controlOptions,Game.playerChoice[n].choice-1)
					else
						Shiftup(Game.controlOptions,Game.playerChoice[n].choice)
					end
				else
					for m=1,n-1 do
						if Game.playerChoice[m].control == "Inactive" then
							Shiftup(Game.controlOptions,Game.playerChoice[n].choice)
						end
					end
				end
				if n == 4 then
					Game:gotoState("Play")
				end
			end
		break
		end
	end
end


function ControlSelect:exitState()

end