local newimage = love.graphics.newImage
function love.graphics.newImage(source)
	if type(source) == "string" then
		source = love.image.newImageData(source)
	end
	local width = source:getWidth()
	local height = source:getHeight()
	local powerwidth = math.pow(2, math.ceil(math.log(width)/math.log(2)))
	local powerheight = math.pow(2, math.ceil(math.log(height)/math.log(2)))
	if powerwidth ~= width or powerheight ~= height then
		local padded = love.image.newImageData(powerwidth, powerheight)
		padded:paste(source, 0, 0)
		return newimage(padded)
	end
	return newimage(source)
end
